Get all seller negotiation bid lines
get
/fscmRestApi/resources/11.13.18.05/sellerNegotiationBids/{BidNumber}/child/lines
Request
Path Parameters
-
BidNumber(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the specific line in the seller negotiation bid using the primary key, which is the combination of BidNumber; integer; and LineId; integer; .
Finder Variables- BidNumber; integer; Value that uniquely identifies the seller negotiation bid.
- LineId; integer; Value that uniquely identifies the line in a bid.
- PrimaryKeyFinder Finds the unique seller negotiation bid line using LineId; integer; .
Finder Variables- LineId; integer; Value that uniquely identifies the line in a bid.
- PrimaryKey Finds the specific line in the seller negotiation bid using the primary key, which is the combination of BidNumber; integer; and LineId; integer; .
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AwardStatusCode; string; Abbreviation that identifies whether the bid line was awarded or rejected.
- BidNumber; integer; Value that uniquely identifies the seller's negotiation bid.
- LineId; integer; Value that uniquely identifies the line in a bid.
- SellerAuctionHeaderId; integer; Value that uniquely identifies the seller negotiation.
- UOM; string; Unit of measure of the item in the seller negotiation.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : sellerNegotiationBids-lines
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sellerNegotiationBids-lines-item-response
Type:
Show Source
object-
attachments: array
Attachments
Title:
AttachmentsThe attachments resource is used to view, create, and update attachments. -
AwardQuantity: number
Title:
Award QuantityRead Only:trueThe quantity awarded to the bid line. -
AwardReason: string
Title:
Award ReasonRead Only:trueMaximum Length:4000Reason provided by the auctioneer for awarding the seller negotiation line to the bidder. -
AwardStatus: string
Title:
Award StatusRead Only:trueMaximum Length:80Value that indicates whether the bid line is awarded or rejected. -
AwardStatusCode: string
Read Only:
trueMaximum Length:25Abbreviation that identifies whether the bid line was awarded or rejected. -
BestBidPrice: number
Title:
Best Bid PriceRead Only:trueThe best price quoted for the line item among all the bids. -
BidNumber: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller's negotiation bid. -
BidPrice: number
Title:
Bid PricePrice quoted by the bidder for a line item in the seller negotiation. -
BidQuantity: number
Title:
Bid QuantityQuantity proposed by the bidder for the seller negotiation line. -
BidStartPrice: number
Title:
Start PriceRead Only:trueStarting price at which bidding begins for the line. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the seller negotiation bid line. -
CreationDate: string
(date-time)
Read Only:
trueDate and time when the user created the seller negotiation bid line. -
IsBidQuantityEditableFlag: boolean
Read Only:
trueMaximum Length:1Contains one of the following values: true or false. If true, the bid quantity is editable. If false, the bid quantity isn't editable. The default value is true. -
IsReservePriceMetFlag: boolean
Title:
Reserve Price MetRead Only:trueMaximum Length:255Contains one of the following values: true, false, or null. If true, the bidder's bid meets or exceeds the reserve price for the line defined in the seller negotiation. If false, the bid doesn't meet the reserve price. If null, the reserve price hasn't been defined for the line in the seller negotiation. -
Item: string
Title:
ItemRead Only:trueMaximum Length:300Name of the item offered for sale in the seller negotiation. -
ItemRevision: string
Title:
RevisionRead Only:trueMaximum Length:18Value that identifies the revision of the item. -
LastUpdateDate: string
(date-time)
Read Only:
trueDate and time when the user most recently updated the bid line. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who most recently updated the bid line. -
LineAmount: integer
(int64)
Title:
Line AmountRead Only:trueAmount calculated for a line as price times quantity in a bid submitted to a seller negotiation. -
LineAwardAmount: number
Read Only:
trueAwarded amount for the bid line. -
LineDescription: string
Title:
DescriptionRead Only:trueMaximum Length:2500Description of the item offered for sale on the line in the seller negotiation. -
LineId: integer
(int64)
Read Only:
trueValue that uniquely identifies the line in a bid. -
LineNumber: number
Title:
LineRead Only:trueNumber that uniquely identifies the line within the seller negotiation bid. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MinimumBidPriceIncrement: number
Read Only:
trueThe smallest increment a bidder needs to raise the price above the last bid for the new bid to be valid. -
NoteToAuctionOwner: string
Title:
Note to AuctioneerMaximum Length:4000Note that the bidder enters the information for a particular line on behalf of the auction owner when responding to the seller negotiation. -
PreviousBidPrice: number
Read Only:
truePrice specified for the line item in the previous bid. -
PreviousBidQuantity: number
Read Only:
trueQuantity specified for the line item in the previous bid. -
Rank: number
Title:
RankRead Only:trueValue that identifies the rank of the bidder's response compared to other competing bids for a particular line. -
SellerAuctionHeaderId: integer
(int64)
Read Only:
trueValue that uniquely identifies the seller negotiation. -
TargetQuantity: number
Title:
Target QuantityRead Only:trueQuantity of the item offered for sale in the seller negotiation. -
UOM: string
Title:
UOM NameRead Only:trueMaximum Length:25Unit of measure of the item in the seller negotiation. -
UOMCode: string
Title:
UOM CodeRead Only:trueMaximum Length:3Abbreviation that identifies the unit of measure of the item in the seller negotiation.
Nested Schema : Attachments
Type:
arrayTitle:
AttachmentsThe attachments resource is used to view, create, and update attachments.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : sellerNegotiationBids-lines-attachments-item-response
Type:
Show Source
object-
AsyncTrackerId: string
Title:
Asynchronous Upload Tracker IdAttribute provided for the exclusive use by the Attachment UI components to assist in uploading files. -
AttachedDocumentId: integer
(int64)
Title:
Attached Document IdThe unique identifier of the attached document. -
CategoryName: string
Title:
CategoryMaximum Length:30The category of the attachment. - ContentRepositoryFileShared: boolean
-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:255The user who created the record. -
CreatedByUserName: string
Title:
Created By User NameRead Only:trueThe user name who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the record was created. -
DatatypeCode: string
Title:
TypeMaximum Length:30Default Value:FILEA value that indicates the data type. -
Description: string
Title:
DescriptionMaximum Length:255The description of the attachment. -
DmDocumentId: string
Maximum Length:
255The document ID from which the attachment is created. -
DmFolderPath: string
Title:
Dm Folder PathMaximum Length:1000The folder path from which the attachment is created. -
DmVersionNumber: string
Maximum Length:
255The document version number from which the attachment is created. -
DownloadInfo: string
Title:
DownloadInfoJSON object represented as a string containing information used to programmatically retrieve a file attachment. -
ErrorStatusCode: string
Title:
Error Status CodeThe error code, if any, for the attachment. -
ErrorStatusMessage: string
Title:
Error Status MessageThe error message, if any, for the attachment. -
ExpirationDate: string
(date-time)
Title:
Expiration DateThe expiration date of the contents in the attachment. -
FileContents: string
(byte)
Title:
File ContentsThe contents of the attachment. -
FileName: string
Title:
File NameMaximum Length:2048The file name of the attachment. -
FileUrl: string
Title:
File UrlThe URI of the file. -
FileWebImage: string
(byte)
Title:
File Web ImageRead Only:trueThe base64 encoded image of the file displayed in .png format if the source is a convertible image. -
LastUpdateDate: string
(date-time)
Title:
Last Update DateRead Only:trueThe date when the record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:255The user who last updated the record. -
LastUpdatedByUserName: string
Title:
Last Updated By UserRead Only:trueThe user name who last updated the record. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
PostProcessingAction: string
Title:
PostProcessingActionThe name of the action that can be performed after an attachment is uploaded. -
Title: string
Title:
TitleThe title of the attachment. -
UploadedFileContentType: string
Title:
Uploaded File Content TypeThe content type of the attachment. -
UploadedFileLength: integer
Title:
File SizeThe size of the attachment file. -
UploadedFileName: string
Title:
Uploaded File NameThe name to assign to a new attachment file. -
UploadedText: string
Title:
Uploaded TextThe text content for a new text attachment. -
Uri: string
Title:
UriMaximum Length:4000The URI of a Topology Manager type attachment. -
Url: string
Title:
UrlMaximum Length:4000The URL of a web page type attachment. -
UserName: string
Title:
User NameRead Only:trueMaximum Length:255The login credentials of the user who created the attachment.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.